BuildRequires: jpackage-1.4-compat
%define short_name commons-httpclient

Name: jakarta-%short_name
Version: 3.0
Release: alt2
Summary: Jakarta Commons HTTPClient Package
License: Apache Software License
Source0: commons-httpclient-3.0-src.tar.bz2
Url: http://jakarta.apache.org/commons/httpclient/
Group: Development/Java
Buildarch: noarch

BuildPreReq: /proc rpm-build-java
BuildRequires: ant jakarta-commons-codec jakarta-commons-logging jakarta-commons-logging-javadoc junit
Requires: jakarta-commons-logging jakarta-commons-codec

%description
The Hyper-Text Transfer Protocol (HTTP) is perhaps the most significant
protocol used on the Internet today. Web services, network-enabled
appliances and the growth of network computing continue to expand the
role of the HTTP protocol beyond user-driven web browsers, and increase
the number of applications that may require HTTP support.
Although the java.net package provides basic support for accessing
resources via HTTP, it doesn't provide the full flexibility or
functionality needed by many applications. The Jakarta Commons HTTP
Client component seeks to fill this void by providing an efficient,
up-to-date, and feature-rich package implementing the client side of the
most recent HTTP standards and recommendations.
Designed for extension while providing robust support for the base HTTP
protocol, the HTTP Client component may be of interest to anyone
building HTTP-aware client applications such as web browsers, web
service clients, or systems that leverage or extend the HTTP protocol
for distributed communication.

%package javadoc
Summary: Javadoc for %name
Group: Development/Documentation
Requires: java-common

%description javadoc
%summary.

%package demo
Summary: Demos for %name
Group: Development/Java
Requires: %name = %version-%release

%description demo
%summary.

%package manual
Summary: Manual for %name
Group: Documentation

%description manual
%summary.

%prep
%setup -q -n %short_name-%version
%__mkdir lib
%__rm -rf docs/apidocs

%build
%ant_build \
	-Dbuild.sysclasspath=first \
	-Djavadoc.j2sdk.link="" \
	-Djavadoc.logging.link=%_javadocdir/jakarta-commons-logging \
	-Dcommons-logging.jar=%_javadir/jakarta-commons-logging.jar \
	-Dcommons-codec.jar=%_javadir/jakarta-commons-codec.jar \
	-Djunit.jar=%_javadir/junit.jar \
	dist test

%install
# jars
%__mkdir -p %buildroot%_javadir
%__cp -p dist/%short_name.jar %buildroot%_javadir/%name.jar
ln -s %name.jar %buildroot%_javadir/%short_name.jar

# javadoc
%__mkdir -p %buildroot%_javadocdir
%__mv dist/docs/api %buildroot%_javadocdir/%name

# demo
%__mkdir -p %buildroot%_datadir/%name
%__cp -pr src/examples src/contrib %buildroot%_datadir/%name

%files
%doc LICENSE README RELEASE_NOTES
%_javadir/*

%files javadoc
%doc %_javadocdir/%name

%files demo
%_datadir/%name

%files manual
%doc dist/docs/*

%changelog
* Fri May 04 2007 Igor Vlasenko <viy@altlinux.ru> 3.0-alt2
- added jpackage compat symlinks

* Tue Dec 20 2005 Vladimir Lettiev <crux@altlinux.ru> 3.0-alt1
- Final release 3.0

* Sat Jul 02 2005 Vladimir Lettiev <crux@altlinux.ru> 3.0-alt0.3
- 3.0-rc3
- manual package is back
- changed rpmgroup for packages with documentation

* Tue Mar 22 2005 Vladimir Lettiev <crux@altlinux.ru> 3.0-alt0.2
- rpm-build-java macroces
- 3.0-beta1 (cvs 20050321)

* Sun Oct 24 2004 Vladimir Lettiev <crux@altlinux.ru> 3.0-alt0.1
- 3.0-dev (cvs 20041024)

* Wed Oct 13 2004 Vladimir Lettiev <crux@altlinux.ru> 2.0.1-alt2
- changes to suit ALT java-policy

* Fri Sep 17 2004 Vladimir Lettiev <crux@altlinux.ru> 2.0.1-alt1
- 2.0.1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

